<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>User details</title>
    <link rel="stylesheet" type="text/css" href="css/user.css">
    <link rel="stylesheet" type="text/css" href="css/main.css">
    <link rel="stylesheet" type="text/css" href="css/dropdown.css">
    <link rel="stylesheet" type="text/css" href="css/jquery.modal.min.css">
    <link rel="stylesheet" type="text/css" href="css/details.css">
    <!-- <link rel="stylesheet" type="text/css" href="css/user.css"> -->
    <!-- <link rel="stylesheet" type="text/css" href="css/dark.css"> -->
    <!-- <link rel="stylesheet" type="text/css" href="/css/bootstrap.min.css"> -->
    <script src="js/jquery-3.3.1.js"></script>
    <script src="js/jquery.blockUI.js"></script>
    <script src="js/jquery.modal.min.js"></script>
    <script src="js/lists.js"></script>
    <script src="js/notifications.js"></script>
    <script src="js/main.js"></script>
    <script src="js/details.js"></script>
    <script>
        //TODO: get the current repo from url
        $.urlParam = function(name){
            var results = new RegExp('[\?&]' + name + '=([^&#]*)').exec(window.location.href);
            return results[1] || 0;
        }
        window.currentRepo = decodeURIComponent($.urlParam("repo"));
        console.log(window.currentRepo);
    </script>
</head>

<body>
    <div class="centered-container navbar">
        <h1 class="page-title">Magit Repo Details</h1>
        <nav>
            <a href="user.html">User Details</a>
        </nav>
    </div>
    <div>
        <div class="modals-container">

            <div class="pr-files-modal">
                <!-- pr item fileItemTemplate -->
                <div class="hidden">
                    <li id="fileItemTemplatePR" class="fileitem" onclick="onPrFileChosen(this);">
                        <span class="filepath"></span>
                        <span class="status"></span>
                    </li>
                </div>
        
                <!-- pr file list modal -->
                <div id="prFileListModal" class="modal" style="width: 80%; height: 80%;">
                    <div class="horizontal-flex centeral" style="height: 100%">
                        <div class="vertical-flex centeral bordered" style="flex-basis: 10%">
                            <div id="prFilesList">
                                <ul class="list"></ul>
                            </div>
                        </div>
                        <div class="vertical-flex centeral" style="flex-grow: 1">
                            <textarea id="prFileContent" class="bordered" style="flex-grow: 1" disabled="true"></textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div class="commit-files-modal">
                <!-- Commit item fileItemTemplate -->
                <div class="hidden">
                    <li id="fileItemTemplateCommit" class="fileitem" onclick="onCommitFileChosen(this);">
                        <span class="filepath"></span>
                    </li>
                </div>
        
                <!-- Commit file list modal -->
                <div id="commitFilesListModal" class="modal" style="width: 80%; height: 80%;">
                    <div class="horizontal-flex centeral" style="height: 100%">
                        <div class="vertical-flex centeral bordered" style="flex-basis: 10%">
                            <div id="commitFiles">
                                <ul class="list"></ul>
                            </div>
                        </div>
                        <div class="vertical-flex centeral" style="flex-grow: 1">
                            <textarea id="commitFileContent" class="bordered" style="flex-grow: 1" disabled="true"></textarea>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="wc-files-modal">
                <!-- WC fileItemTemplate -->
                <div class="hidden">
                    <li id="fileItemTemplate" class="fileitem" onclick="onWcFileChosen(this);">
                       <span class="filepath"></span>
                    </li>
                </div>
        
                <!-- WC edit modal -->
                <div id="wcModal" class="modal" style="min-width: max-content; min-height: max-content;">
                    <div class="horizontal-flex centeral" style="height: 100%">
                        <div class="vertical-flex centeral bordered" style="flex-basis: 10%">
                            <div id="wcFiles">
                                <ul class="list"></ul>
                            </div>
                        </div>
                        <div class="vertical-flex centeral" style="flex-grow: 1">
                            <textarea id="wcFileContent" class="bordered" style="flex-grow: 1; min-height: 15em; min-width: 400px;"></textarea>
                            <div class="button-panel">
                                <div class="button" onclick="saveFile()">Save</div>
                                <div class="button" onclick="deleteFile()">Delete</div>
                                <div class="button" onclick="newFile()">New</div>
                                <div class="button" onclick="commit()">Commit</div>
                            </div>
                        </div>
                        <div class="vertical-flex centeral bordered" style="flex-basis: 10%;">
                            <div class="hidden">
                                <li id="wcFileItemTemplate" class="fileitem" onclick="">
                                    <span class="filepath"></span>
                                </li>
                            </div>
                            <div class="emptyChanges">
                                <span>Repository is in clean state</span>
                            </div>
                            <div id="newFiles" class="noEmptyChanges">
                                <span>New files</span>
                                <ul class="list"></ul>
                            </div>
                            <hr class="noEmptyChanges">
                            <div id="deletedFiles" class="noEmptyChanges">
                                <span>Deleted files</span>
                                <ul class="list"></ul>
                            </div>
                            <hr class="noEmptyChanges">
                            <div id="modifiedFiles" class="noEmptyChanges">
                                <span>Modified files</span>
                                <ul class="list"></ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="new-file-modal">
                <!-- new file modal -->
                <div id="wcNewFileModal" class="modal" style="width: 80%; height: 80%;">
                    <div class="vertical-flex centeral max-height">
                        <input id="newFilePath" type="text" placeholder="Full file path, eg: ./fol1/foo.java"></input>
                        <textarea id="newFileContent" class="bordered" placeholder="file content" style="flex-grow: 1"></textarea>
                        <div class="button" onclick="onSaveNewFile()">Save</div>
                    </div>    
                </div>
            </div>
        </div>
        <!-- Main screen -->
        <div class="vertical-flex centeral">
            <div id="pageHeader" class="main-header">Repository!</div>
            <div class="horizontal-flex centeral" style="justify-content: space-between; flex-wrap: nowrap">
                <div class="horizontal-flex centeral" style="flex-basis: 90%">
                    <!-- Branches control cube -->
                    <div class="box vertical-flex cubic">
                        <div class="header">Branches</div>
                        <div class="items-container vertical-flex">
                            <div class="dropdown">
                                <button class="button" onclick="dropbtnToggle($('#branchesDropDownData'))">
                                    <span id="branchesDropDownBtn">Branch A</span>
                                    <img src="icons/dropdown.png" style="height: 1em">
                                </button>
                                <div class="dropdown-content shrinked" style="display: none; z-index: 1001;" id="branchesDropDownData">
                                    <a href="#">Branch A (123123123123123123)</a>
                                    <a href="#">Branch B (123123123123123123)</a>
                                    <a href="#">Branch C (123123123123123123)</a>
                                </div>
                            </div>
                            <div class="button-panel23">
                                <div id="delete" class="button" onclick="onBranchDelete()">Delete</div>
                                <div id="checkout" class="button checkout" onclick="onBranchCheckout()">Checkout</div>
                                <div class="button remote-colab" onclick="onCreateRTB()">Create RTB</div>
                                <div class="button" onclick="onBranchCreate()">Create Local</div>
                                <div class="button remote-colab" onclick="onPull()">Pull</div>
                                <div class="button remote-colab" onclick="onPush()">Push</div>
                                <div class="button" onclick="editWc()" style="grid-area: 4/1/4/3">Edit WC</div>
                            </div>
                        </div>
                    </div>
                    <!-- Commit list -->
                    <div class="vertical-flex box-container centeral">
                        <div id="repositoriesContainer" class="table">
                            <div class="first-item table-header">#</div>
                            <div class="table-header">Commit Sha1</div>
                            <div class="table-header">Message</div>
                            <div class="table-header">Creator</div>
                            <div class="table-header">Creation Date</div>
                            <div class="table-header">Branches</div>
                            <div class="last-item table-header">Operations</div>
                            
                            <div class="first-item table-item">1</div>
                            <div class="table-item">adc83b19e793491b1c6ea0fd8b46cd9f32e592fc</div>
                            <div class="table-item">Some commit message</div>
                            <div class="table-item">John Doe</div>
                            <div class="table-item">20/Sep/2019 17:18:01</div>
                            <div class="table-item">Master, Deep, Sumo</div>
                            <div class="last-item table-item" onclick="onCommitChosen()"><img src="icons/list.png"></div>
                        </div>
                    </div>
                     <!-- PR control cube -->
                     <div id="prControlCube" class="box vertical-flex cubic">
                        <div class="header">Push Request</div>
                        <div class="items-container vertical-flex" style="padding: 0.9em;">
                            <div class="dropdown">
                                <span>Target Branch: </span>
                                <button class="button" onclick="dropbtnToggle($('#prTargetDropdownToggle'))">
                                    <span id="prTargetButton">Branch A</span>
                                    <img src="icons/dropdown.png" style="height: 1em">
                                </button>
                                <div class="dropdown-content shrinked" style="display: none" id="prTargetDropdownToggle">
                                    <a href="#">Branch A (123123123123123123)</a>
                                    <a href="#">Branch B (123123123123123123)</a>
                                    <a href="#">Branch C (123123123123123123)</a>
                                </div>
                            </div>
                            <div class="dropdown">
                                <span>Base Branch: </span>
                                <button class="button" onclick="dropbtnToggle($('#prBaseDropdownToggle'))">
                                    <span id="prBaseButton">Branch B</span>
                                    <img src="icons/dropdown.png" style="height: 1em">
                                </button>
                                <div class="dropdown-content shrinked" style="display: none" id="prBaseDropdownToggle">
                                    <a href="#">Branch A (123123123123123123)</a>
                                    <a href="#">Branch B (123123123123123123)</a>
                                    <a href="#">Branch C (123123123123123123)</a>
                                </div>
                            </div>
                            <textarea id="prMessage" placeholder="Pull request message"></textarea>
                            <div class="button" onclick="onPrCreated()">Create PR</div>
                        </div>
                    </div>
                       
                    <!-- PR -->
                    <div id= "prUpperContainer" class="vertical-flex box-container centeral">
                        <div id="prContainer" class="pr-table">
                            <div class="first-item table-header">#</div>
                            <div class="table-header">PR Initiator</div>
                            <div class="table-header">Target Branch</div>
                            <div class="table-header">Base Branch</div>
                            <div class="table-header">Creation Date</div>
                            <div class="table-header">Message</div>
                            <div class="table-header">Status</div>
                            <div class="last-item table-header">Operations</div>
                            
                            <div class="first-item table-item">1</div>
                            <div class="table-item">Amit</div>
                            <div class="table-item">Master</div>
                            <div class="table-item">Target1</div>
                            <div class="table-item">20/Sep/2019 17:18:01</div>
                            <div class="table-item"><span class="status-open"></span></div>
                            <div class="last-item table-item" onclick="onCommitChosen()">
                                <img class="dont-revert" src="icons/checked.png">
                                <img class="dont-revert" src="icons/declined.png">
                                <img src="icons/list.png">
                            </div>

                            <div class="first-item table-item">1</div>
                            <div class="table-item">Amit</div>
                            <div class="table-item">Master</div>
                            <div class="table-item">Target1</div>
                            <div class="table-item">20/Sep/2019 17:18:01</div>
                            <div class="table-item"><span class="status-denied"></span></div>
                            <div class="last-item table-item" onclick="onCommitChosen()">
                                    <img src="icons/list.png">
                            </div>


                            <div class="first-item table-item">1</div>
                            <div class="table-item">Amit</div>
                            <div class="table-item">Master</div>
                            <div class="table-item">Target1</div>
                            <div class="table-item">20/Sep/2019 17:18:01</div>
                            <div class="table-item"><span class="status-accepted"></span></div>
                            <div class="last-item table-item" onclick="onCommitChosen()">
                                    <img src="icons/list.png">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="horizontal-flex centeral" style="flex-basis: 10%">
                    <div class="box vertical-flex side-bar">
                        <div class="header">Notifications</div>
                        <div id="msgContainer" class="items-container scrollable">
                            <a href="#">
                                <div class="hidden item hoverable">msg1</div>
                            </a>
                        </div>
                    </div>  
                </div>
            </div>
            
        </div>
    </div>
</body>

</html>